<p class="topic">
Plug-ins
</p>

<p class="text">
When you select a plug-in, the right pane displays basic information about the plug-in. You cannot modify plug-ins from the Directory Server Console.
</p>

<p class="text">
<b>Enable plug-in. </b>Select this checkbox to enable the plug-in; clear the checkbox to disable the plug-in. After enabling or disabling a plug-in, you must restart the directory.
</p>

<p class="text">
<b>Plug-in ID. </b>Gives the name of the plug-in.
</p>

<p class="text">
<b>Description. </b>Contains descriptive text about the plug-in.
</p>

<p class="text">
<b>Version. </b>Gives the version number of the plug-in.
</p>

<p class="text">
<b>Vendor. </b>Identifies the manufacturer of the plug-in.
</p>

<p class="text">
<b>Plug-in type. </b>Defines the type of plug-in, such as preoperational or postoperational.
</p>

<p class="text">
<b>Initialization function. </b>Identifies the function that the server calls to initialize the plug-in.
</p>

<p class="text">
<b>Plug-in module path. </b>Gives the name and path of the shared object that contains the plug-in.  The path and shared object suffix can be omitted if the plug-in is in the server's default plug-in directory.
</p>

<p class="text">
<b>Arguments. </b>Specifies any additional arguments that are passed to the initialization function.
</p>
